package jrummikub.model;

/** Class managing player data. No methods in release 1 */
public class Player implements IPlayer {
	private PlayerSettings settings;
	private IHand hand;
	private boolean laidOut;

	/**
	 * Create a new player with a given name and color
	 * 
	 * @param settings
	 *            the player settings
	 */
	public Player(PlayerSettings settings) {
		this.settings = settings;

		hand = new Hand();
		laidOut = false;
	}

	@Override
	public IHand getHand() {
		return hand;
	}

	@Override
	public boolean getLaidOut() {
		return laidOut;
	}

	@Override
	public void setLaidOut(boolean laidOut) {
		this.laidOut = laidOut;
	}

	@Override
	public PlayerSettings getPlayerSettings() {
		return settings;
	}
}
